Subject: Re: Problems with network share access after sshing into machine
From: "Elfyn McBratney" <[email-masked]>
To: "Sead Mujushi" <[email-masked]>
Cc: <[email-masked]>
Date: Wed, 16 Oct 2002 23:54:26 +0100

Have you tried:

    $ mkdir -p /s
    $ mount //sj-f760-2/s /s

???

This works for me...

Is wdsladm a real username on the domain (or server sj-f760-2) and if so
does this user have permission on that share?

Elfyn

----- Original Message -----
From: Sead Mujushi <[email-masked]>
To: <[email-masked]>
Sent: Wednesday, October 16, 2002 10:50 PM
Subject: Problems with network share access after sshing into machine

> G'day guys,
>
> I have a problem that I think is related to permissions
> but I'm not entirely sure. I've followed some of the
> suggestions and tips that others and Corinna have posted
> to no avail.
>
> I have setup ssh on a Win2k machine running the cygwin
> environment "cygwin01".
>
> I've run
> > % mkpasswd -d -l > /etc/passwd
> > % mkgroup -d -l > /etc/group
>
> I've got ssh working, I can login and get the Fanfare
> motd message (which I changed) but network shares don't
> appear once I've logged in.  The "wdsladm" login is
> a domain account.
>
> eg: Testing network share, sshing in then no longer being
> able to access that share...
>
> > CYGWIN01-wdsladm-~-266 % ls -l /cygdrive
> > total 0
> > drwxr-xr-x   26 wdsladm  None            0 Oct 16 10:39 i/
> > CYGWIN01-wdsladm-~-268 % ssh localhost
> > wdsladm@localhost's password:
> > Last login: Wed Oct 16 14:06:06 2002 from cygwin01.arraycomm.com
> > You have logged in...
> > CYGWIN01-wdsladm-~-250 % ls -l /cygdrive
> > total 0
> > CYGWIN01-wdsladm-~-251 %
>
> I've tried mounting the directory using net use:
>
> > CYGWIN01-wdsladm-~-312 % net use t: "\\\\sj-f760-2\\s"
> > The command completed successfully.
> >
> > CYGWIN01-wdsladm-~-313 %  ls -l /cygdrive/t
> > ls: /cygdrive/t: No such file or directory
>
> But if I open a local bash connection to the machine (not
> using ssh) it's successfull:
>
> > CYGWIN01-wdsladm-~-250 % ls -l /cygdrive/t
> > total 5
> > -rw-r--r--    1 wdsladm  None         3736 Nov 26  2001 README
>
> Any pointers or tips?
>
> Thanks in advance.
>
> PS: My 2 bits. I use rxvt and in a batch file I have listed
> here is my incantation to rxvt to give me a half decent
> terminal window. The bindings are set so that cut, copy and
> paste works between windows and cygwin without having to deal
> with the limitations of the cmd.exe interface:
>
> c:\cygwin\bin\rxvt.exe -g 120x45+100+100 -bg #000000 -fg #999999 -cr
> #00ff00 -pr #ff0000 -fn "Courier New-16" -sl 4096 -vb -e
c:\cygwin\bin\bash
> (Change your paths as appropriate.)
>
> --
> Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
> Bug reporting:         http://cygwin.com/bugs.html
> Documentation:         http://cygwin.com/docs.html
> FAQ:                   http://cygwin.com/faq/
>

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/